kind: Pod
apiVersion: v1
metadata:
  generateName: clusterresourceoverride-
  annotations:
    clusterresourceoverride.operator.autoscaling.openshift.io/configuration.hash: 620286fc48100d43d77128e64410c969303dbeb6de14762eb2685e05e572d38d
    clusterresourceoverride.operator.autoscaling.openshift.io/owner: cluster
    clusterresourceoverride.operator.autoscaling.openshift.io/servingcert.hash: aa743199cac7406f908449f72ec2a60a1f376b979c515230f39383975e0e9101
    openshift.io/scc: hostnetwork
  resourceVersion: '97539'
  name: clusterresourceoverride-khmx5
  uid: 77835a8b-579c-4abe-b4e6-72f9f12ea84c
  creationTimestamp: '2023-02-02T00:22:03Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2023-02-02T00:22:03Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:clusterresourceoverride.operator.autoscaling.openshift.io/configuration.hash': {}
            'f:clusterresourceoverride.operator.autoscaling.openshift.io/owner': {}
            'f:clusterresourceoverride.operator.autoscaling.openshift.io/servingcert.hash': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:clusterresourceoverride': {}
            'f:controller-revision-hash': {}
            'f:operator.autoscaling.openshift.io/clusterresourceoverride': {}
            'f:pod-template-generation': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"2393a333-44df-4a66-9f00-0286c3921528"}': {}
        'f:spec':
          'f:volumes':
            .: {}
            'k:{"name":"configuration"}':
              .: {}
              'f:configMap':
                .: {}
                'f:defaultMode': {}
                'f:name': {}
              'f:name': {}
            'k:{"name":"serving-cert"}':
              .: {}
              'f:name': {}
              'f:secret':
                .: {}
                'f:defaultMode': {}
                'f:secretName': {}
          'f:containers':
            'k:{"name":"clusterresourceoverride"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/etc/clusterresourceoverride/config/override.yaml"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                  'f:subPath': {}
                'k:{"mountPath":"/var/serving-cert"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:args': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"CONFIGURATION_PATH"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":9400,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:hostPort': {}
                  'f:protocol': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:serviceAccount': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:hostNetwork': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:serviceAccountName': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
          'f:affinity':
            .: {}
            'f:nodeAffinity':
              .: {}
              'f:requiredDuringSchedulingIgnoredDuringExecution': {}
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2023-02-02T00:22:05Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"172.31.251.249"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: clusterresourceoverride-operator
  ownerReferences:
    - apiVersion: apps/v1
      kind: DaemonSet
      name: clusterresourceoverride
      uid: 2393a333-44df-4a66-9f00-0286c3921528
      controller: true
      blockOwnerDeletion: true
  labels:
    clusterresourceoverride: 'true'
    controller-revision-hash: 796c97fdfb
    operator.autoscaling.openshift.io/clusterresourceoverride: 'true'
    pod-template-generation: '2'
spec:
  nodeSelector:
    node-role.kubernetes.io/master: ''
  restartPolicy: Always
  serviceAccountName: clusterresourceoverride
  imagePullSecrets:
    - name: clusterresourceoverride-dockercfg-tplq7
  priority: 0
  schedulerName: default-scheduler
  hostNetwork: true
  enableServiceLinks: true
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
          - matchFields:
              - key: metadata.name
                operator: In
                values:
                  - jvaldes-c4tx5-master-2
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: jvaldes-c4tx5-master-2
  securityContext:
    seLinuxOptions:
      level: 's0:c25,c15'
    supplementalGroups:
      - 1000630000
    fsGroup: 1000630000
  containers:
    - resources: {}
      terminationMessagePath: /dev/termination-log
      name: clusterresourceoverride
      command:
        - /usr/bin/cluster-resource-override-admission
      env:
        - name: CONFIGURATION_PATH
          value: /etc/clusterresourceoverride/config/override.yaml
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000630000
      ports:
        - hostPort: 9400
          containerPort: 9400
          protocol: TCP
      imagePullPolicy: Always
      volumeMounts:
        - name: serving-cert
          mountPath: /var/serving-cert
        - name: configuration
          mountPath: /etc/clusterresourceoverride/config/override.yaml
          subPath: configuration.yaml
        - name: kube-api-access-nvmln
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8@sha256:23c678bda6cf05bf9c7d7244eb3496ca0f3f86b1aac7441415ae1165808eca20
      args:
        - '--secure-port=9400'
        - '--bind-address=127.0.0.1'
        - '--tls-cert-file=/var/serving-cert/tls.crt'
        - '--tls-private-key-file=/var/serving-cert/tls.key'
        - '--v=3'
  serviceAccount: clusterresourceoverride
  volumes:
    - name: serving-cert
      secret:
        secretName: server-serving-cert-clusterresourceoverride
        defaultMode: 420
    - name: configuration
      configMap:
        name: clusterresourceoverride-configuration
        defaultMode: 420
    - name: kube-api-access-nvmln
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node-role.kubernetes.io/master
      operator: Exists
      effect: NoSchedule
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
    - key: node.kubernetes.io/disk-pressure
      operator: Exists
      effect: NoSchedule
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
    - key: node.kubernetes.io/pid-pressure
      operator: Exists
      effect: NoSchedule
    - key: node.kubernetes.io/unschedulable
      operator: Exists
      effect: NoSchedule
    - key: node.kubernetes.io/network-unavailable
      operator: Exists
      effect: NoSchedule
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-02T00:22:03Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-02T00:22:05Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-02T00:22:05Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-02T00:22:03Z'
  hostIP: 172.31.251.249
  podIP: 172.31.251.249
  podIPs:
    - ip: 172.31.251.249
  startTime: '2023-02-02T00:22:03Z'
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: clusterresourceoverride
      state:
        running:
          startedAt: '2023-02-02T00:22:04Z'
      imageID: >-
        registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8@sha256:23c678bda6cf05bf9c7d7244eb3496ca0f3f86b1aac7441415ae1165808eca20
      image: >-
        registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8@sha256:23c678bda6cf05bf9c7d7244eb3496ca0f3f86b1aac7441415ae1165808eca20
      lastState: {}
      containerID: 'cri-o://ea044d840b60909beddb042b16e9cd9011f0082884abc816ac7fe912da5c738a'
  qosClass: BestEffort
